Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.model.markup
Interface IBlockingInteractionBaseResponseContext

All Superinterfaces
  IBaseResponseContext, IGetMarkupBaseResponseContext, IInteractionResponseContext, com.bea.wsrp.bind.IPortletContextHolder, ISessionContext

All Known Subinterfaces:
  IBlockingInteractionResponseContext

    public interface IBlockingInteractionBaseResponseContext

extends IGetMarkupBaseResponseContext, IInteractionResponseContext

A base response context that represents partial output data of the "performBlockingInteraction" operation.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`String` | `getRedirectURL()` Returns the redirect URL that was received as a result of invoking the "performBlockingInteraction" operation.
`void` | `setRedirectURL(String newURL)` Sets the supplied `newURL` as the new redirect URL.

Methods inherited from interface com.bea.wsrp.model.markup.IGetMarkupBaseResponseContext
`getExpires, getLocale, getMarkupCharacterSet, getMarkupData, getMimeType, getPreferredTitle, getUserScope, getValidateTag, isRequiresUrlRewritingOn, isUseCachedMarkupOn, setMarkupCharacterSet, setMarkupData, setMimeType, setPreferredTitle, setRequiresUrlRewritingOn, setUseCachedMarkupOn`

Methods inherited from interface com.bea.wsrp.model.markup.IBaseResponseContext
`getMimeHeaders, getNamespaceUri, getResponseCookies, render`

Methods inherited from interface com.bea.wsrp.model.markup.ISessionContext
`getSessionExpires, getSessionID, setSessionExpires, setSessionID`

Methods inherited from interface com.bea.wsrp.model.markup.IInteractionResponseContext
`getEvents, getNavigationalState, getNewMode, getNewWindowState, getPublicNavigationalState, setEvents, setNavigationalState, setNewMode, setNewWindowState, setPublicNavigationalState`

Methods inherited from interface com.bea.wsrp.bind.IPortletContextHolder
`getPortletContext`

Method Detail

### getRedirectURL

    String getRedirectURL()

  Returns the redirect URL that was received as a result of invoking the "performBlockingInteraction" operation.

  Returns
    the redirect URL.

### setRedirectURL

    void setRedirectURL(String newURL)

  Sets the supplied `newURL` as the new redirect URL.

  Parameters
    `newURL` - the new redirect URL.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved